Name:		hlit-ana
Version:	0.0.0
Release:	0.1%{?dist}
Summary:	OpenMD utils
Group:		System Environment/Libraries
License:	LGPL v3+
Source0:    %{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  root, root-geom, root-physics, doxygen-latex
Requires:       root

%description
Hlit Ana ROOT interface

%package doc
Summary:        Hlit Ana ROOT interface documentation
Group:          System/Libraries

%description doc
Hlit Ana ROOT interface documentation

%package devel
Summary:        Hlit Ana ROOT interface devel files
Group:          System/Libraries

%description devel
Hlit Ana ROOT interface devel files

%prep
%setup -q

%build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
make %{?_smp_mflags}
cd ../

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
cd ../

%files
%{_libdir}/*

%files doc
%doc %{_docdir}/

%files devel
#%{_includedir}/*

%changelog
